from argparse import ArgumentParser

from istari import SECRET_KEY_INSECURE_PREFIX, get_random_secret_key
from istari.templates.commands import TemplateCommand


class Command(TemplateCommand):
    template_name = 'project_template'

    def add_arguments(self, parser: ArgumentParser) -> None:
        parser.add_argument('project_name')
    
    def handle(self, **options):
        options['variables'] = {
            'docs_version': '5.0',
            'project_name': options['project_name'],
            'secret_key': SECRET_KEY_INSECURE_PREFIX + get_random_secret_key(),
        }
        return super().handle(**options)
